Eclipse Platform Release 3.7

## org.eclipse.core.resources.mapping
Class ModelStatus

    java.lang.Object
      org.eclipse.core.runtime.Status
          org.eclipse.core.resources.mapping.ModelStatus

All Implemented Interfaces:
  IStatus

    public class ModelStatus

extends Status

A status returned by a model from the resource operation validator. The severity indicates the severity of the possible side effects of the operation. Any severity other than `OK` should be shown to the user. The message should be a human readable message that will allow the user to make a decision as to whether to continue with the operation. The model provider id should indicate which model is flagging the the possible side effects.

Clients may instantiate or subclass this class.

Since:
  3.2

Field Summary

Fields inherited from class org.eclipse.core.runtime.Status
`CANCEL_STATUS, OK_STATUS`

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`ModelStatus(int severity, String pluginId, String modelProviderId, String message)` Create a model status.

Method Summary
`String` `getModelProviderId()` Return the id of the model provider from which this status originated.

Methods inherited from class org.eclipse.core.runtime.Status
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelStatus

    public ModelStatus(int severity,
                       String pluginId,
                       String modelProviderId,
                       String message)

  Create a model status.

  Parameters:
    `severity` - the severity
    `pluginId` - the plugin id
    `modelProviderId` - the model provider id
    `message` - the message

Method Detail

### getModelProviderId

    public String getModelProviderId()

  Return the id of the model provider from which this status originated.

  Returns:
    the id of the model provider from which this status originated

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.